# PATCH /v4/internal/key-value-stores/quotas/{address}

_Merkl API_

Update a creator quota (BackOffice only)

### Path parameters

- `address` (string) _(required)_

## Request body

**`application/json`**
```json
{
  "type": "object",
  "properties": {
    "maxConfigs": {
      "minimum": 1,
      "type": "number"
    },
    "maxSizeLimit": {
      "minimum": 1,
      "maximum": 1000000,
      "type": "number"
    },
    "allowedTypes": {
      "minItems": 1,
      "type": "array",
      "items": {
        "description": "Semantic type — determines the required JSON shape of entry values",
        "anyOf": [
          {
            "const": "WHITELIST",
            "type": "string"
          },
          {
            "const": "BLACKLIST",
            "type": "string"
          },
          {
            "const": "BOOST",
            "type": "string"
          },
          {
            "const": "REFERRER",
            "type": "string"
          },
          {
            "const": "FORWARDER",
            "type": "string"
          },
          {
            "const": "APR",
            "type": "string"
          }
        ]
      }
    }
  }
}
```
**`application/x-www-form-urlencoded`**
```json
{
  "type": "object",
  "properties": {
    "maxConfigs": {
      "minimum": 1,
      "type": "number"
    },
    "maxSizeLimit": {
      "minimum": 1,
      "maximum": 1000000,
      "type": "number"
    },
    "allowedTypes": {
      "minItems": 1,
      "type": "array",
      "items": {
        "description": "Semantic type — determines the required JSON shape of entry values",
        "anyOf": [
          {
            "const": "WHITELIST",
            "type": "string"
          },
          {
            "const": "BLACKLIST",
            "type": "string"
          },
          {
            "const": "BOOST",
            "type": "string"
          },
          {
            "const": "REFERRER",
            "type": "string"
          },
          {
            "const": "FORWARDER",
            "type": "string"
          },
          {
            "const": "APR",
            "type": "string"
          }
        ]
      }
    }
  }
}
```
**`multipart/form-data`**
```json
{
  "type": "object",
  "properties": {
    "maxConfigs": {
      "minimum": 1,
      "type": "number"
    },
    "maxSizeLimit": {
      "minimum": 1,
      "maximum": 1000000,
      "type": "number"
    },
    "allowedTypes": {
      "minItems": 1,
      "type": "array",
      "items": {
        "description": "Semantic type — determines the required JSON shape of entry values",
        "anyOf": [
          {
            "const": "WHITELIST",
            "type": "string"
          },
          {
            "const": "BLACKLIST",
            "type": "string"
          },
          {
            "const": "BOOST",
            "type": "string"
          },
          {
            "const": "REFERRER",
            "type": "string"
          },
          {
            "const": "FORWARDER",
            "type": "string"
          },
          {
            "const": "APR",
            "type": "string"
          }
        ]
      }
    }
  }
}
```

## Responses

- **200** Response for status 200

## Example request

```bash
curl -X PATCH "https://api.merkl.xyz//v4/internal/key-value-stores/quotas/{address}" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```